﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Entities.SQLudeoDB;
using Model.Business;
using Model.DTO;

namespace Model.Mappers
{
    public static class InquiryMapper
    {
        public static Inquiry FromDTOToModel(this InquiryDTO InqDto)
        {
            return new Inquiry(InqDto.Id,InqDto.Title,InqDto.Description,InqDto.IsUser,InqDto.Database.FromDTOToModel(),InqDto.InquiryTable.FromDTOToModel());
        }

        public static Inquiry FromEntityToModel(this InquiryEntity InqEntity)
        {
            return new Inquiry(InqEntity.Id, InqEntity.Title, InqEntity.Description, InqEntity.IsUser, InqEntity.Database.FromEntityToModel(), InqEntity.InquiryTable.FromEntityToModel());
        }


        public static InquiryEntity FromModelToEntity(this Inquiry Inq)
        {
            return new InquiryEntity(Inq.Id, Inq.Title, Inq.Description, Inq.IsUser, Inq.Database.FromModelToEntity(), Inq.InquiryTable.FromModelToEntity());
        }

        public static InquiryEntity FromDTOToEntity(this InquiryDTO InqDto)
        {
            return new InquiryEntity(InqDto.Id, InqDto.Title, InqDto.Description, InqDto.IsUser, InqDto.Database.FromDTOToEntity(), InqDto.InquiryTable.FromDTOToEntity());
        }
        public static InquiryDTO FromModelToDTO(this Inquiry Inq)
        {
            return new InquiryDTO(Inq.Id, Inq.Title, Inq.Description, Inq.IsUser, Inq.Database.FromModelToDTO(), Inq.InquiryTable.FromModelToDTO());
        }

        public static InquiryDTO FromEntityToDTO(this InquiryEntity InqEntity)
        {
            return new InquiryDTO(InqEntity.Id, InqEntity.Title, InqEntity.Description, InqEntity.IsUser, InqEntity.Database.FromEntityToDTO(), InqEntity.InquiryTable.FromEntityToDTO());

        }
    }
}
